Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.xmpp
Class SmackXmppMessageSender

    java.lang.Object
      com.atlassian.bamboo.xmpp.SmackXmppMessageSender

All Implemented Interfaces:
  ConvertibleFromConfig, XmppMessageSender

    public class SmackXmppMessageSender

extends Object
implements XmppMessageSender

Uses Smack to send an Instant Message to a XMPP compient server

Field Summary

Fields inherited from interface com.atlassian.bamboo.xmpp.XmppMessageSender
`XMPP_GROUPS, XMPP_RECIPIENTS, XMPP_REQUIRED`

Constructor Summary
`SmackXmppMessageSender()`

Method Summary
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object o)`
`List` | `getGroupsToNotify()`
`String` | `getRecipients()`
`int` | `hashCode()`
`boolean` | `isRequired()`
`void` | `populateFromConfig(HierarchicalConfiguration config)` Update the current object with data in the `FieldValueItemHolder`
`void` | `setGroupsToNotify(List groupsToNotify)`
`void` | `setIsRequired(boolean isRequired)`
`void` | `setRecipients(String recipients)`
`HierarchicalConfiguration` | `toConfiguration()` Generate a `FieldValueItemHolder` from the current state of the object
`ErrorCollection` | `validate()` Ensures the user has entered a xmpp configuration that we can authenticate against and connect to

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmackXmppMessageSender

    public SmackXmppMessageSender()

Method Detail

### setIsRequired

    public void setIsRequired(boolean isRequired)

  Specified by:
    `setIsRequired` in interface `XmppMessageSender`

### isRequired

    public boolean isRequired()

  Specified by:
    `isRequired` in interface `XmppMessageSender`

### getRecipients

    public String getRecipients()

  Specified by:
    `getRecipients` in interface `XmppMessageSender`

### setRecipients

    public void setRecipients(String recipients)

  Specified by:
    `setRecipients` in interface `XmppMessageSender`

### validate

    public ErrorCollection validate()

  Ensures the user has entered a xmpp configuration that we can authenticate against and connect to

  Specified by:
    `validate` in interface `XmppMessageSender`
  Returns:
    The validation errors. An empty list of there are no errors

### populateFromConfig

    public void populateFromConfig(HierarchicalConfiguration config)

  Description copied from interface: `ConvertibleFromConfig`
  Update the current object with data in the `FieldValueItemHolder`

  Specified by:
    `populateFromConfig` in interface `ConvertibleFromConfig`

### toConfiguration

    public HierarchicalConfiguration toConfiguration()

  Description copied from interface: `ConvertibleFromConfig`
  Generate a `FieldValueItemHolder` from the current state of the object

  Specified by:
    `toConfiguration` in interface `ConvertibleFromConfig`
  Returns:
    Always returns an `FieldValueItemHolder`. Never null

### getGroupsToNotify

    public List getGroupsToNotify()

  Specified by:
    `getGroupsToNotify` in interface `XmppMessageSender`

### setGroupsToNotify

    public void setGroupsToNotify(List groupsToNotify)

  Specified by:
    `setGroupsToNotify` in interface `XmppMessageSender`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.